package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

@Entity
public class StatusProductos implements Serializable {

    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Id
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Column(name = "producto")
    private String producto;
    @Column(name = "pedidos")
    private Integer pedidos;
    @Column(name = "facturados")
    private Integer facturados;
    @Column(name = "existencia_sucursal")
    private Integer existenciaSucursal;
    @Column(name = "existencia_central")
    private Integer existenciaCentral;

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProducto() {
        return producto;
    }

    public void setProducto(String producto) {
        this.producto = producto;
    }

    public Integer getPedidos() {
        return pedidos;
    }

    public void setPedidos(Integer pedidos) {
        this.pedidos = pedidos;
    }

    public Integer getFacturados() {
        return facturados;
    }

    public void setFacturados(Integer facturados) {
        this.facturados = facturados;
    }

    public Integer getExistenciaSucursal() {
        return existenciaSucursal;
    }

    public void setExistenciaSucursal(Integer existenciaSucursal) {
        this.existenciaSucursal = existenciaSucursal;
    }

    public Integer getExistenciaCentral() {
        return existenciaCentral;
    }

    public void setExistenciaCentral(Integer existenciaCentral) {
        this.existenciaCentral = existenciaCentral;
    }

    public StatusProductos() {
    }
}
